#!/bin/bash

(
if [ -f pick.dat ]
then 
   rm pick.dat
fi
 
sac<<END
ohpf hyp71.txt
END

echo window x 0.5 0.95 y 0.1 0.99 > pick.sac
echo bd x >> pick.sac                        
echo qdp off >> pick.sac                     
echo color blue >> pick.sac                  
echo ohpf hyp71.txt >> pick.sac

for j in `cat lista.dat`
do
  n=*._3.$j
  echo File = $n

for i in $n
do   
   vary=`echo $i|sed s/"_3"/"_2"/g`
   varz=`echo $i|sed s/"_3"/"_1"/g`
   echo r $varz $vary $i >> pick.sac
   echo bp bu co 0.1 10 >> pick.sac
   echo p1 >> pick.sac
   echo plotpk perplot 3 savelocs on bell off absolute  >> pick.sac
   echo write sac over >> pick.sac
done
done

echo q >> pick.sac

sac<<END
m pick.sac
END

rm temp.dat pstimes.dat temp_?.am temp_?.ph temp.tr temp.ra

)
